Bug 220693 - mkhowto as included in python-tools will not work
mkhowto as included in python-tools will not work
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: James Antill
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-23 05:23 EST by Jef Spaleta
Modified: 2009-07-14 10:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:12:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jef Spaleta 2006-12-23 05:23:36 EST
Description of problem:
/usr/lib/python2.5/Doc/tools/mkhowto

needs files in /usr/lib/python2.5/Doc/  which are not included in the python2.5
directory.  Consider including more of the python2.5/Doc/  filetree structure.
specifically the Doc/perl  subtree. 

Version-Release number of selected component (if applicable):
2.5-6.fc7

Additional info:
I ran into this trying to fix pychart in extras-development.  mkhowto dies a
horrible horrible death unless you include atleast the perl subtree.

for example mkhowto defines
L2H_INIT_FILE = os.path.join(TOPDIR, "perl", "l2hinit.perl")
and l2hinit.perl should be located at /usr/lib/python2.5/Doc/perl/l2hinit.perl
Comment 1 José Matos 2008-01-10 14:00:02 EST
The culprit seems to be version 2.4.3 where the changelog refers:

* Tue Jun 13 2006 Mihai Ibanescu <misa@xxxxxxxxx> - 2.4.3-8
- Only copying mkhowto from the Docs - we don't need perl dependencies from
  python-tools.

The tools were created in version 2.4.3-6. Other than the bug cited #167468, 
there is also bug #177349 that cites pychart and pyx.

As it is to be expect I found this bug while updating pyx to version 0.10 and 
trying to build the documentation there. :-)

Notice that the dependency is unavoidable. mkhowto requires always the perl 
bits because main() calls Job and the call to the perl script is made in the 
Job __init__ constructor.
Comment 2 Bug Zapper 2008-05-13 22:31:29 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-06-09 18:23:25 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-07-14 10:12:17 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.